Cantera 2.6.0

Namespaces | Functions
checkFinite.cpp File Reference

Declarations for routines that check for the presence of NaNs in the code. More...

`#include "cantera/base/ct_defs.h"`
`#include "cantera/base/stringUtils.h"`
`#include "cantera/base/ctexceptions.h"`
Include dependency graph for checkFinite.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
void | checkFinite (const double tmp)
| Check to see that a number is finite (not NaN, +Inf or -Inf) More...
void | checkFinite (const std::string &name, double *values, size_t N)
| Check to see that all elements in an array are finite. More...

## Detailed Description

Declarations for routines that check for the presence of NaNs in the code.

Definition in file checkFinite.cpp.